> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new contact

> Updates a secondary email address for a contact. You must provide the current secondary email address and the new email address.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json PATCH /contacts/v1/secondary-email/{vid}
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/secondary-email/{vid}:
    patch:
      summary: Update a secondary email address
      description: >-
        Updates a secondary email address for a contact. You must provide the
        current secondary email address and the new email address.
      operationId: patchcontactsv1secondaryemailvid
      parameters:
        - name: q
          in: query
          required: true
          description: >-
            The search term for what you're searching for. You can use all of a
            word or just parts of a word as well. For example, if you we're
            searching for contacts with "hubspot" in their name or email,
            searching for "hub" would also return contacts with "hubspot" in
            their email address.
          schema:
            type: string
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of contacts to return in
            your API call. The default for this parameter (if it isn't
            specified) is 20 contacts. The maximum amount of contacts you can
            have returned to you via this parameter is 100.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: >-
            This parameter is used to page through the results. Every call to
            this endpoint will return an offset value. This value is used in the
            offset= parameter of the next call to get the next page of contacts.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: >-
            If you include the "property" parameter, then the properties in the
            "contact" object in the returned data will only include the property
            or properties that you request.
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            This parameter takes in an internal property name (e.g. vid) and
            sorts contact search results by that field.
          schema:
            type: string
        - name: order
          in: query
          required: false
          description: >-
            This parameter accepts `DESC` or `ASC` as values (defaults to
            `DESC`) to order results by the property specified in "sort"
            parameter. As such, this parameter will only work when used in
            conjunction with "sort".
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - This endpoint is used to get contacts by email
            address, first and last name, phone number, or company
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a new contact - Example 1
                  value: >-
                    { "targetSecondaryEmail": "oldAddress@hubspot.com",
                    "updatedSecondaryEmail": "updatedAddress@hubspot.com" } {
                    "portalId": 589323, "vid": 21316, "secondaryEmails": [
                    "updatedAddress@hubspot.com" ] }
      security:
        - oauth2:
            - crm.objects.contacts.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.write
        - private_apps_legacy: []
components: {}

````